Debian Bug report logs - #599282
phamm: [patch] fix for failure to install in chroot

version graph

Package: phamm; Maintainer for phamm is Phamm Team <team@phamm.org>; Source for phamm is src:phamm.

Reported by: Michael Vogt <michael.vogt@ubuntu.com>

Date: Wed, 6 Oct 2010 11:18:08 UTC

Severity: serious

Tags: patch

Merged with 603080

Found in version phamm/0.5.18-2

Fixed in versions phamm/0.5.18-3, phamm/0.5.18-2+squeeze1

Done: Alessandro De Zorzi <lota@nonlontano.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Phamm Team <team@phamm.org>:
Bug#599282; Package phamm. (Wed, 06 Oct 2010 11:18:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Vogt <michael.vogt@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Phamm Team <team@phamm.org>. (Wed, 06 Oct 2010 11:18:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Vogt <michael.vogt@ubuntu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: phamm: [patch] fix for failure to install in chroot
Date: Wed, 06 Oct 2010 13:14:47 +0200
[Message part 1 (text/plain, inline)]
Package: phamm
Version: 0.5.18-2
Severity: normal
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu natty ubuntu-patch

In Ubuntu, we've applied the attached patch to achieve the following:

  * debian/phamm.config:
    - fix incorrect use of dh_get that causes upgrade/install failures
      with odd error messages (LP: #655518)

We thought you might be interested in doing the same. 

The RET value has "10 slapd/domain doesn't exist" if the value is missing
otherwise.

Cheers,
 Michael

-- System Information:
Debian Release: squeeze/sid
  APT prefers maverick-updates
  APT policy: (500, 'maverick-updates'), (500, 'maverick-security'), (500, 'maverick')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.35-22-generic (SMP w/4 CPU cores)
Locale: LANG=en_DK.utf8, LC_CTYPE=en_DK.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[tmpr690cr (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Phamm Team <team@phamm.org>:
Bug#599282; Package phamm. (Wed, 06 Oct 2010 13:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessandro De Zorzi <lota@nonlontano.it>:
Extra info received and forwarded to list. Copy sent to Phamm Team <team@phamm.org>. (Wed, 06 Oct 2010 13:36:04 GMT) Full text and rfc822 format available.

Message #10 received at 599282@bugs.debian.org (full text, mbox):

From: Alessandro De Zorzi <lota@nonlontano.it>
To: 599282@bugs.debian.org
Subject: Re: phamm: [patch] fix for failure to install in chroot
Date: Wed, 06 Oct 2010 15:23:03 +0200
[Message part 1 (text/plain, inline)]
thanks for contribution, the patch will examinate as soon as possibile

cheers
Alessandro (lota)
[Message part 2 (text/html, inline)]

Forcibly Merged 599282 603080. Request was from Andreas Metzler <ametzler@downhill.at.eu.org> to control@bugs.debian.org. (Sat, 13 Nov 2010 16:54:02 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'normal' Request was from Andreas Metzler <ametzler@downhill.at.eu.org> to control@bugs.debian.org. (Sat, 13 Nov 2010 16:54:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Phamm Team <team@phamm.org>:
Bug#599282; Package phamm. (Sat, 13 Nov 2010 18:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Enrico Zini <enrico@enricozini.org>:
Extra info received and forwarded to list. Copy sent to Phamm Team <team@phamm.org>. (Sat, 13 Nov 2010 18:42:03 GMT) Full text and rfc822 format available.

Message #19 received at 599282@bugs.debian.org (full text, mbox):

From: Enrico Zini <enrico@enricozini.org>
To: 599282@bugs.debian.org
Subject: Looks like we should drop gdisk phamm for squeeze
Date: Sat, 13 Nov 2010 18:38:41 +0000
[Message part 1 (text/plain, inline)]
Hello,

thanks for maintaning phamm.

phamm 0.5.18-2 is currently in squeeze and sid and has RC bugs open
against it.

Considering that the package has a very small number of users and that
we're supposed to release fairly soon, unless you have a fix ready now
to upload, it may be a good idea to just remove phamm from testing and
deal with this comfortably in unstable.

Would it make sense for you?


Ciao,

Enrico

-- 
GPG key: 4096R/E7AD5568 2009-05-08 Enrico Zini <enrico@enricozini.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Phamm Team <team@phamm.org>:
Bug#599282; Package phamm. (Sun, 14 Nov 2010 09:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessandro De Zorzi <lota@nonlontano.it>:
Extra info received and forwarded to list. Copy sent to Phamm Team <team@phamm.org>. (Sun, 14 Nov 2010 09:54:03 GMT) Full text and rfc822 format available.

Message #24 received at 599282@bugs.debian.org (full text, mbox):

From: Alessandro De Zorzi <lota@nonlontano.it>
To: 599282@bugs.debian.org
Subject: phamm 0.5.18-3
Date: Sun, 14 Nov 2010 10:43:29 +0100
[Message part 1 (text/plain, inline)]
sorry for delay,
just sent to my sponsor the new version patched for upload

dsc available here:

http://open.rhx.it/debian/source/phamm_0.5.18-3.dsc

Alessandro (lota)
[Message part 2 (text/html, inline)]

Added tag(s) pending. Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Sun, 14 Nov 2010 10:51:03 GMT) Full text and rfc822 format available.

Reply sent to Alessandro De Zorzi <lota@nonlontano.it>:
You have taken responsibility. (Tue, 16 Nov 2010 06:21:06 GMT) Full text and rfc822 format available.

Notification sent to Michael Vogt <michael.vogt@ubuntu.com>:
Bug acknowledged by developer. (Tue, 16 Nov 2010 06:21:06 GMT) Full text and rfc822 format available.

Message #31 received at 599282-close@bugs.debian.org (full text, mbox):

From: Alessandro De Zorzi <lota@nonlontano.it>
To: 599282-close@bugs.debian.org
Subject: Bug#599282: fixed in phamm 0.5.18-3
Date: Tue, 16 Nov 2010 06:17:08 +0000
Source: phamm
Source-Version: 0.5.18-3

We believe that the bug you reported is fixed in the latest version of
phamm, which is due to be installed in the Debian FTP archive:

phamm-ldap-amavis_0.5.18-3_all.deb
  to main/p/phamm/phamm-ldap-amavis_0.5.18-3_all.deb
phamm-ldap-vacation_0.5.18-3_all.deb
  to main/p/phamm/phamm-ldap-vacation_0.5.18-3_all.deb
phamm-ldap_0.5.18-3_all.deb
  to main/p/phamm/phamm-ldap_0.5.18-3_all.deb
phamm_0.5.18-3.debian.tar.gz
  to main/p/phamm/phamm_0.5.18-3.debian.tar.gz
phamm_0.5.18-3.dsc
  to main/p/phamm/phamm_0.5.18-3.dsc
phamm_0.5.18-3_all.deb
  to main/p/phamm/phamm_0.5.18-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 599282@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessandro De Zorzi <lota@nonlontano.it> (supplier of updated phamm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 12 Apr 2010 17:41:52 +0200
Source: phamm
Binary: phamm phamm-ldap phamm-ldap-vacation phamm-ldap-amavis
Architecture: source all
Version: 0.5.18-3
Distribution: unstable
Urgency: high
Maintainer: Phamm Team <team@phamm.org>
Changed-By: Alessandro De Zorzi <lota@nonlontano.it>
Description: 
 phamm      - PHP front-end to manage virtual services on LDAP - main package
 phamm-ldap - PHP front-end to manage virtual services on LDAP - back-end files
 phamm-ldap-amavis - PHP front-end to manage virtual services on LDAP - back-end files
 phamm-ldap-vacation - PHP front-end to manage virtual services on LDAP - back-end files
Closes: 599282
Changes: 
 phamm (0.5.18-3) unstable; urgency=high
 .
   * Fixed debian/phamm.config (Closes: #599282) thanks to Ubuntu see patch 0.5.18-2ubuntu1
   * Switch to dpkg-source 3.0 (quilt) format
Checksums-Sha1: 
 ee5281bf6a0276f70873643e3ff2a09db77f3d27 1135 phamm_0.5.18-3.dsc
 f7d82ddf43f5026a72726dbc50f836d330067248 31611 phamm_0.5.18-3.debian.tar.gz
 4401f1b6acc87de96d0f9da563f86ba329c442b3 104998 phamm_0.5.18-3_all.deb
 e9582ede6233adc1f7f54dda863dd16a6dc3acc0 16626 phamm-ldap_0.5.18-3_all.deb
 7f63545d014d6a5974fdf78957b449b305b49a4c 3752 phamm-ldap-vacation_0.5.18-3_all.deb
 c432b316b038915c767b3a55f187475cf8112559 11846 phamm-ldap-amavis_0.5.18-3_all.deb
Checksums-Sha256: 
 60091bf6d0421db9af5936c384c45f27ff35e150158b8faf0fc4abd558d8afc7 1135 phamm_0.5.18-3.dsc
 b07b57f201bef7a6c4ba0041f997458384d5b72c6dd36f44d3aedde6f39ebea4 31611 phamm_0.5.18-3.debian.tar.gz
 c18655553326930196d2a5f582000ed6a8496941384a18000aaa059a4707c3d1 104998 phamm_0.5.18-3_all.deb
 6b55710406fd4d277b5a3ed1a88bb26c826c3880bfa8049d3fc27edc3a4ac551 16626 phamm-ldap_0.5.18-3_all.deb
 8d46cf6e870af1a3ca0cdc0bbb830faf5a43555122120d40728b7d67a9b5f4eb 3752 phamm-ldap-vacation_0.5.18-3_all.deb
 16b389b2c9356e2e8896af3d3f61a8f10dada9c66ca3e58f4514681dfe41a948 11846 phamm-ldap-amavis_0.5.18-3_all.deb
Files: 
 dc76343e9d317efdb0f11325ec241897 1135 web extra phamm_0.5.18-3.dsc
 9f5722d70457ec32f841a8555db79ae9 31611 web extra phamm_0.5.18-3.debian.tar.gz
 b10e13092fec72b1c715b1b3ac9f2ce0 104998 web extra phamm_0.5.18-3_all.deb
 0f991a7d89c9689adcdc2885fa2a0ce5 16626 web extra phamm-ldap_0.5.18-3_all.deb
 929c34fac96a4bf8be3940dc16856322 3752 web extra phamm-ldap-vacation_0.5.18-3_all.deb
 336bb444e8aa51dea296044b267d3391 11846 web extra phamm-ldap-amavis_0.5.18-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkziHtkACgkQK/juK3+WFWTiWgCgkhRPjbeVLd7JGul8PgVx4fwd
ycUAnjv43skmlzgbVthDe9a9eA82y2fx
=rvM2
-----END PGP SIGNATURE-----





Reply sent to Alessandro De Zorzi <lota@nonlontano.it>:
You have taken responsibility. (Tue, 16 Nov 2010 06:21:07 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Tue, 16 Nov 2010 06:21:07 GMT) Full text and rfc822 format available.

Reply sent to Alessandro De Zorzi <lota@nonlontano.it>:
You have taken responsibility. (Wed, 08 Dec 2010 13:36:08 GMT) Full text and rfc822 format available.

Notification sent to Michael Vogt <michael.vogt@ubuntu.com>:
Bug acknowledged by developer. (Wed, 08 Dec 2010 13:36:08 GMT) Full text and rfc822 format available.

Message #41 received at 599282-close@bugs.debian.org (full text, mbox):

From: Alessandro De Zorzi <lota@nonlontano.it>
To: 599282-close@bugs.debian.org
Subject: Bug#599282: fixed in phamm 0.5.18-2+squeeze1
Date: Wed, 08 Dec 2010 13:32:04 +0000
Source: phamm
Source-Version: 0.5.18-2+squeeze1

We believe that the bug you reported is fixed in the latest version of
phamm, which is due to be installed in the Debian FTP archive:

phamm-ldap-amavis_0.5.18-2+squeeze1_all.deb
  to main/p/phamm/phamm-ldap-amavis_0.5.18-2+squeeze1_all.deb
phamm-ldap-vacation_0.5.18-2+squeeze1_all.deb
  to main/p/phamm/phamm-ldap-vacation_0.5.18-2+squeeze1_all.deb
phamm-ldap_0.5.18-2+squeeze1_all.deb
  to main/p/phamm/phamm-ldap_0.5.18-2+squeeze1_all.deb
phamm_0.5.18-2+squeeze1.diff.gz
  to main/p/phamm/phamm_0.5.18-2+squeeze1.diff.gz
phamm_0.5.18-2+squeeze1.dsc
  to main/p/phamm/phamm_0.5.18-2+squeeze1.dsc
phamm_0.5.18-2+squeeze1_all.deb
  to main/p/phamm/phamm_0.5.18-2+squeeze1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 599282@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessandro De Zorzi <lota@nonlontano.it> (supplier of updated phamm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 08 Dec 2010 11:21:25 +0100
Source: phamm
Binary: phamm phamm-ldap phamm-ldap-vacation phamm-ldap-amavis
Architecture: source all
Version: 0.5.18-2+squeeze1
Distribution: testing-proposed-updates
Urgency: high
Maintainer: Phamm Team <team@phamm.org>
Changed-By: Alessandro De Zorzi <lota@nonlontano.it>
Description: 
 phamm      - PHP front-end to manage virtual services on LDAP - main package
 phamm-ldap - PHP front-end to manage virtual services on LDAP - back-end files
 phamm-ldap-amavis - PHP front-end to manage virtual services on LDAP - back-end files
 phamm-ldap-vacation - PHP front-end to manage virtual services on LDAP - back-end files
Closes: 599282
Changes: 
 phamm (0.5.18-2+squeeze1) testing-proposed-updates; urgency=high
 .
   * Fixed debian/phamm.config (Closes: #599282) thanks to Ubuntu see patch
     0.5.18-2ubuntu1
Checksums-Sha1: 
 e1716e866766c39b2b2936204fa89e8a565146c0 1145 phamm_0.5.18-2+squeeze1.dsc
 e68ca14cebcb7fca9d642b22caa814debdc02747 30620 phamm_0.5.18-2+squeeze1.diff.gz
 cb4563e3d2474a112559b2248d13c3c18e623ee9 104814 phamm_0.5.18-2+squeeze1_all.deb
 4fe7eab32be7c6f0cd1896aadadc6fd77a246f1a 16622 phamm-ldap_0.5.18-2+squeeze1_all.deb
 236368f547e36597209f82f0e0cc201dba05218a 3734 phamm-ldap-vacation_0.5.18-2+squeeze1_all.deb
 6c13b780630b25edb6848001618434b9ade3d8da 11834 phamm-ldap-amavis_0.5.18-2+squeeze1_all.deb
Checksums-Sha256: 
 33b97d67351bf4b35524bfc60bfb9f6d8e8eb3bbff7353fc1b20bc471ca1b68b 1145 phamm_0.5.18-2+squeeze1.dsc
 f0269d844246276bf9db96f0aad525062e5dd38f58df768cd249f928fd465d93 30620 phamm_0.5.18-2+squeeze1.diff.gz
 00a4fce992514547d0f5c7d0634be315947b0f4790d388b84a8b9f69deb03a8c 104814 phamm_0.5.18-2+squeeze1_all.deb
 d721b284c0699975a10f0db46a47424ae14fe39b93c28e6a48ef5b4b20900062 16622 phamm-ldap_0.5.18-2+squeeze1_all.deb
 b95a925f30bd2e5e476e428116ce44d507e21f2a97f65c1b2ff004469453e911 3734 phamm-ldap-vacation_0.5.18-2+squeeze1_all.deb
 80fcd257ba76104b2729b8ed43a16574f184f60dcfb1d9e837098a428f2f7ee5 11834 phamm-ldap-amavis_0.5.18-2+squeeze1_all.deb
Files: 
 a48be1b7cc14b35b1ea797fb518e1cc1 1145 web extra phamm_0.5.18-2+squeeze1.dsc
 2678e72a74f2db4aadcc0f4be3818de6 30620 web extra phamm_0.5.18-2+squeeze1.diff.gz
 67cabbe9feb4771c82b812a25eadba62 104814 web extra phamm_0.5.18-2+squeeze1_all.deb
 98b794cdc511b282b36d9199dc75b9d4 16622 web extra phamm-ldap_0.5.18-2+squeeze1_all.deb
 a1cdddbfbfd03ef2fe241c3f14fc62ea 3734 web extra phamm-ldap-vacation_0.5.18-2+squeeze1_all.deb
 29920df8e9d8c22a363be7a991532dfa 11834 web extra phamm-ldap-amavis_0.5.18-2+squeeze1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkz/hpwACgkQK/juK3+WFWTBSACeMFTgcX/PO7kquMabKd4Pij28
EoYAniRuMi4XDboh8r9Y3Rq/ypMDAWNA
=cffI
-----END PGP SIGNATURE-----





Reply sent to Alessandro De Zorzi <lota@nonlontano.it>:
You have taken responsibility. (Wed, 08 Dec 2010 13:36:09 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Wed, 08 Dec 2010 13:36:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 06 Jan 2011 07:34:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:45:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.